Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.ogcwebservices.wms.configuration
Class LocalWFSDataSource

    java.lang.Object
      org.deegree.ogcwebservices.wms.configuration.AbstractDataSource
          org.deegree.ogcwebservices.wms.configuration.LocalWFSDataSource

Direct Known Subclasses:
  RemoteWFSDataSource

    public class LocalWFSDataSource

extends AbstractDataSource

Data source description for a LOCALWFS datasource

Version:
  $Revision: 18195 $, $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Andreas Poth

Field Summary

Fields inherited from class org.deegree.ogcwebservices.wms.configuration.AbstractDataSource
`DATABASE, EXTERNALDATAACCESS, LOCALWCS, LOCALWFS, ows, REMOTEWCS, REMOTEWFS, REMOTEWMS`

Constructor Summary
`LocalWFSDataSource(boolean querable, boolean failOnException, QualifiedName name, int type, QualifiedName geometryProperty, OGCWebService ows, URL capabilitiesURL, ScaleHint scaleHint, Geometry validArea, Query query, URL featureInfoTransform, int reqTimeLimit)` Creates a new DataSource object.
`LocalWFSDataSource(boolean querable, boolean failOnException, QualifiedName name, int type, QualifiedName geometryProperty, OGCWebService ows, URL capabilitiesURL, ScaleHint scaleHint, Geometry validArea, Query query, URL featureInfoTransform, int reqTimeLimit, Map<String,String> dimProps)`

Method Summary
`QualifiedName` | `getGeometryProperty()`
`OGCWebService` | `getOGCWebService()` Returns an instance of the `OGCWebService` that represents the datasource.
`Query` | `getQuery()`

Methods inherited from class org.deegree.ogcwebservices.wms.configuration.AbstractDataSource
`getCapabilitiesURL, getDimProps, getFeatureInfoTransform, getFeatureInfoURL, getName, getRequestTimeLimit, getScaleHint, getType, getValidArea, isFailOnException, isQueryable, setFeatureInfoURL, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### LocalWFSDataSource

    public LocalWFSDataSource(boolean querable,
                              boolean failOnException,
                              QualifiedName name,
                              int type,
                              QualifiedName geometryProperty,
                              OGCWebService ows,
                              URL capabilitiesURL,
                              ScaleHint scaleHint,
                              Geometry validArea,
                              Query query,
                              URL featureInfoTransform,
                              int reqTimeLimit)

  Creates a new DataSource object.

  Parameters:
    `querable` -
    `failOnException` -
    `name` - name of the featuretype to access
    `type` - type of the data source (REMOTEWCS, LOCALWCS)
    `geometryProperty` -
    `ows` - `OGCWebService` instance for accessing the data source
    `capabilitiesURL` -
    `scaleHint` - filter condition
    `validArea` -
    `query` -
    `featureInfoTransform` -
    `reqTimeLimit` -

### LocalWFSDataSource

    public LocalWFSDataSource(boolean querable,
                              boolean failOnException,
                              QualifiedName name,
                              int type,
                              QualifiedName geometryProperty,
                              OGCWebService ows,
                              URL capabilitiesURL,
                              ScaleHint scaleHint,
                              Geometry validArea,
                              Query query,
                              URL featureInfoTransform,
                              int reqTimeLimit,
                              Map<String,String> dimProps)

Parameters:
  `querable` -
  `failOnException` -
  `name` -
  `type` -
  `geometryProperty` -
  `ows` -
  `capabilitiesURL` -
  `scaleHint` -
  `validArea` -
  `query` -
  `featureInfoTransform` -
  `reqTimeLimit` -
  `dimProps` -

Method Detail

### getQuery

    public Query getQuery()

  Returns:
    the WFS Query that describes the access/filtering to the data source.

### getGeometryProperty

    public QualifiedName getGeometryProperty()

  Returns:
    the name of the geometry property in case the datasource is of type LOCALWFS / REMOTEWFS.

### getOGCWebService

    public OGCWebService getOGCWebService()
                                   throws OGCWebServiceException

  Returns an instance of the `OGCWebService` that represents the datasource. TODO if more than one layer uses data that are offered by the same OWS the deegree WMS shall just use one instance for accessing the OWS.

  Specified by:
    `getOGCWebService` in class `AbstractDataSource`
  Returns:
    an instance of the `OGCWebService` that represents the datasource. Notice: if more than one layer uses data that are offered by the same OWS the deegree WMS shall just use one instance for accessing the OWS
  Throws:
    `OGCWebServiceException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org